// 入口文件

// 动态引入组件
const requireComponent = require.context('./', true, /\.vue$/);

// 插件
const install = Vue => {
    if (install.installed)
        return install.installed;

    requireComponent.keys().forEach(fileName => {
        // 第i个组件
        const config = requireComponent(fileName).default || requireComponent(fileName);
        // 注册组件（组件名，组件）
        Vue.component(config.name, config);
    })

    // 全局自定义指令
    Vue.directive('focus', {
        inserted: function (el) {
            el.focus();
        }
    });
}

// 环境检测
if (typeof window !== 'undefined' && window.Vue)
    install(window.Vue);

export default {
    install
}